Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Class OvalRoi

    java.lang.Object
      ij.gui.Roi
          ij.gui.OvalRoi

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class OvalRoi
extends Roi

Oval region of interest

See Also:
  Serialized Form

Field Summary

Fields inherited from class ij.gui.Roi
`ANGLE, cachedMask, center, clipboard, clipHeight, clipWidth, clipX, clipY, COMPOSITE, constrain, CONSTRUCTING, FREELINE, FREEROI, HANDLE_SIZE, handleColor, ic, imp, instanceColor, LINE, mag, MOVING, MOVING_HANDLE, name, NORMAL, NOT_PASTING, oldHeight, oldWidth, oldX, oldY, OVAL, pasteMode, POINT, POLYGON, POLYLINE, previousRoi, RECTANGLE, RESIZING, ROIColor, TRACED_ROI, type, updateFullWindow, xMax, yMax`

Constructor Summary
`OvalRoi(int x, int y, ImagePlus imp)` Starts the process of creating a user-defined OvalRoi.
`OvalRoi(int x, int y, int width, int height)` Creates a new OvalRoi.
`OvalRoi(int x, int y, int width, int height, ImagePlus imp)` Obsolete

Method Summary
`boolean` | `contains(int x, int y)` Tests if the specified point is inside the boundary of this OvalRoi.
`void` | `draw(java.awt.Graphics g)`
`void` | `drawPixels(ImageProcessor ip)` Draws an outline of this OvalRoi on the image.
`double` | `getFeretsDiameter()` Returns Feret's diameter, the greatest distance between any two points along the ROI boundary.
`double` | `getLength()` Returns the perimeter length.
`ImageProcessor` | `getMask()` Always returns null for rectangular Roi's
`java.awt.Polygon` | `getPolygon()` Returns this OvalRoi as a polygon.
`int` | `isHandle(int sx, int sy)` Returns a handle number if the specified screen coordinates are inside or near a handle, otherwise returns -1.
`protected void` | `moveHandle(int sx, int sy)`

Methods inherited from class ij.gui.Roi
`abortPaste, clone, drawPixels, endPaste, equals, getAngle, getBoundingRect, getBounds, getColor, getCurrentPasteMode, getName, getPasteMode, getState, getType, getTypeAsString, grow, handleMouseDown, handleMouseDrag, handleMouseUp, isArea, isLine, isVisible, mouseDownInHandle, nudge, nudgeCorner, setColor, setImage, setInstanceColor, setLocation, setName, setPasteMode, showStatus, startPaste, toString, update, updateClipRect`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OvalRoi

    public OvalRoi(int x,
                   int y,
                   int width,
                   int height)

  Creates a new OvalRoi.

### OvalRoi

    public OvalRoi(int x,
                   int y,
                   ImagePlus imp)

  Starts the process of creating a user-defined OvalRoi.

### OvalRoi

    public OvalRoi(int x,
                   int y,
                   int width,
                   int height,
                   ImagePlus imp)

  Obsolete

Method Detail

### moveHandle

    protected void moveHandle(int sx,
                              int sy)

  Overrides:
    `moveHandle` in class `Roi`

### draw

    public void draw(java.awt.Graphics g)

  Overrides:
    `draw` in class `Roi`

### drawPixels

    public void drawPixels(ImageProcessor ip)

  Draws an outline of this OvalRoi on the image.

  Overrides:
    `drawPixels` in class `Roi`
  See Also:
    `ImageProcessor.setColor(java.awt.Color)`, `ImageProcessor.setLineWidth(int)`

### getPolygon

    public java.awt.Polygon getPolygon()

  Returns this OvalRoi as a polygon.

  Overrides:
    `getPolygon` in class `Roi`
  See Also:
    `ImageProcessor.setRoi(java.awt.Rectangle)`, `ImageProcessor.drawPolygon(java.awt.Polygon)`, `ImageProcessor.fillPolygon(java.awt.Polygon)`

### contains

    public boolean contains(int x,
                            int y)

  Tests if the specified point is inside the boundary of this OvalRoi.

  Overrides:
    `contains` in class `Roi`

### isHandle

    public int isHandle(int sx,
                        int sy)

  Returns a handle number if the specified screen coordinates are inside or near a handle, otherwise returns -1.

  Overrides:
    `isHandle` in class `Roi`

### getMask

    public ImageProcessor getMask()

  Description copied from class: `Roi`
  Always returns null for rectangular Roi's

  Overrides:
    `getMask` in class `Roi`

### getLength

    public double getLength()

  Returns the perimeter length.

  Overrides:
    `getLength` in class `Roi`

### getFeretsDiameter

    public double getFeretsDiameter()

  Returns Feret's diameter, the greatest distance between any two points along the ROI boundary.

  Overrides:
    `getFeretsDiameter` in class `Roi`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD